Skip to main content

QueryOrder

POST 

/v1/payment/query

Shows details for an order, by ID.

Request

Body

required

    id string

    The midaspay id in create order response.

    reference_id string

    The merchant's reference_id.

    merchant_id string

    <= 64 characters

    The id of merchant. If empty, defaults to the merchant_id of the signature authentication

Responses

OK

Response

    create_time string

    Value must match regular expression ^[0-9]{4}-(0[1-9]|1[0-2])-(0[1-9]|[1-2][0-9]|3[0-1])[T,t]([0-1][0-9]|2[0-3]):[0-5][0-9]:([0-5][0-9]|60)([.][0-9]+)?([Zz]|[+-][0-9]{2}:[0-9]{2})$

    The date and time when the transaction occurred, in Internet date and time format. see: https://datatracker.ietf.org/doc/html/rfc3339#section-5.6

    update_time string

    Value must match regular expression ^[0-9]{4}-(0[1-9]|1[0-2])-(0[1-9]|[1-2][0-9]|3[0-1])[T,t]([0-1][0-9]|2[0-3]):[0-5][0-9]:([0-5][0-9]|60)([.][0-9]+)?([Zz]|[+-][0-9]{2}:[0-9]{2})$

    The date and time when the transaction was last updated, in Internet date and time format see: https://datatracker.ietf.org/doc/html/rfc3339#section-5.6

    id string

    The ID of the order.

    status enum

    [UNKNOWN, CREATED, SAVED, APPROVED, VOIDED, COMPLETED, PAYER_ACTION_REQUIRED, REFUNDING, REFUNDED, CAPTURE_REQUIRED, CAPTURE_FAILED, REFUND_REVERSED, CHARGEBACK, CHARGEBACK_REVERSED, SECOND_CHARGEBACK, ...]

    purchase_units

    object[]

    An array of purchase units. Each purchase unit establishes a contract between a payer and the payee. Each purchase unit represents either a full or partial order that the payer intends to purchase from the payee.

  • Array [

  • reference_id string

    The API caller-provided external ID for the order unit. Required for multiple order units when you must update the order through PATCH.

    amount

    object

    currency_code string

    The three-character ISO-4217 currency code that identifies the currency.see: https://en.wikipedia.org/wiki/ISO_4217#Active_codes

    value string

    Value must match regular expression ^((-?[0-9]+)|(-?([0-9]+)?[.][0-9]+))$

    The value as the summary of all kinds of total_amount in breakdown, which might be:An integer for currencies like JPY that are not typically fractional.A decimal fraction for currencies like TND that are subdivided into thousandths.For the required number of decimal places for a currency code, see Currency Codes.

    breakdown

    object

    tax_total

    object

    currency_code string

    The three-character ISO-4217 currency code that identifies the currency. see: https://en.wikipedia.org/wiki/ISO_4217#Active_codes

    value string

    Value must match regular expression ^((-?[0-9]+)|(-?([0-9]+)?[.][0-9]+))$

    The value, which might be: An integer for currencies like JPY that are not typically fractional. A decimal fraction for currencies like TND that are subdivided into thousandths. For the required number of decimal places for a currency code, see Currency Codes.

    taxes

    object[]

    The tax with breakdown

  • Array [

  • tax_type enum

    [UNKNOWN, ECOMMERCE_CONSUMPTION_TAX]

    tax type

    tax_name string

    non-empty

    tax name

    tax_rate string

    Tax as a percentage of total amount example: value 8 means the tax as a percentage of total amount is 8%

    tax_amount

    object

    currency_code string

    The three-character ISO-4217 currency code that identifies the currency. see: https://en.wikipedia.org/wiki/ISO_4217#Active_codes

    value string

    Value must match regular expression ^((-?[0-9]+)|(-?([0-9]+)?[.][0-9]+))$

    The value, which might be: An integer for currencies like JPY that are not typically fractional. A decimal fraction for currencies like TND that are subdivided into thousandths. For the required number of decimal places for a currency code, see Currency Codes.

  • ]

  • tax_reference string

    tax reference

    item_total

    object

    currency_code string

    The three-character ISO-4217 currency code that identifies the currency. see: https://en.wikipedia.org/wiki/ISO_4217#Active_codes

    value string

    Value must match regular expression ^((-?[0-9]+)|(-?([0-9]+)?[.][0-9]+))$

    The value, which might be: An integer for currencies like JPY that are not typically fractional. A decimal fraction for currencies like TND that are subdivided into thousandths. For the required number of decimal places for a currency code, see Currency Codes.

    tax_check_mode enum

    [UNKNOWN, TOTAL_AMOUNT, ITEM_AMOUNT]

    Tax check mode, check tax by total amount or item amount. If merchant use payment_method=CHECKOUT_PAGE, this field is optional, and no need present tax_check_mode, tax_total of breakdown, taxes of breakdown. Otherwise, this field is required, and merchant should present tax_check_mode, tax_total of breakdown, taxes of breakdown.

    tax_mode enum

    [UNKNOWN, TAX_INCLUSIVE, TAX_EXCLUSIVE, NOT_TAX, TAX_DELAY]

    tax mode This field is provided by system, merchant should not set it.

    discount_display

    object

    currency_code string

    The three-character ISO-4217 currency code that identifies the currency. see: https://en.wikipedia.org/wiki/ISO_4217#Active_codes

    value string

    Value must match regular expression ^((-?[0-9]+)|(-?([0-9]+)?[.][0-9]+))$

    The value, which might be: An integer for currencies like JPY that are not typically fractional. A decimal fraction for currencies like TND that are subdivided into thousandths. For the required number of decimal places for a currency code, see Currency Codes.

    remaining_discount_display

    object

    currency_code string

    The three-character ISO-4217 currency code that identifies the currency. see: https://en.wikipedia.org/wiki/ISO_4217#Active_codes

    value string

    Value must match regular expression ^((-?[0-9]+)|(-?([0-9]+)?[.][0-9]+))$

    The value, which might be: An integer for currencies like JPY that are not typically fractional. A decimal fraction for currencies like TND that are subdivided into thousandths. For the required number of decimal places for a currency code, see Currency Codes.

    before_discount_display

    object

    currency_code string

    The three-character ISO-4217 currency code that identifies the currency. see: https://en.wikipedia.org/wiki/ISO_4217#Active_codes

    value string

    Value must match regular expression ^((-?[0-9]+)|(-?([0-9]+)?[.][0-9]+))$

    The value, which might be: An integer for currencies like JPY that are not typically fractional. A decimal fraction for currencies like TND that are subdivided into thousandths. For the required number of decimal places for a currency code, see Currency Codes.

    payee

    object

    merchant_id string

    non-empty and <= 64 characters

    The id of merchant or sub_merchant

    email_address email

    The email address of merchant.

    description string

    <= 1000 characters

    The purchase description.

    items

    object[]

    The purchase items.

  • Array [

  • id string

    The item id.

    name string

    The item name.

    description string

    The item description.

  • ]

  • purchase_reference string

    The purchase reference

    capture_delay_hours string

    Capture delay hours

    external_amount

    object

    discount_amount

    object

    currency_code string

    The three-character ISO-4217 currency code that identifies the currency. see: https://en.wikipedia.org/wiki/ISO_4217#Active_codes

    value string

    Value must match regular expression ^((-?[0-9]+)|(-?([0-9]+)?[.][0-9]+))$

    The value, which might be: An integer for currencies like JPY that are not typically fractional. A decimal fraction for currencies like TND that are subdivided into thousandths. For the required number of decimal places for a currency code, see Currency Codes.

    discount_reference string

    non-empty

    The discount reference

    fx_amount

    object

    The FX amount

    after_fx_amount

    object

    currency_code string

    The three-character ISO-4217 currency code that identifies the currency. see: https://en.wikipedia.org/wiki/ISO_4217#Active_codes

    value string

    Value must match regular expression ^((-?[0-9]+)|(-?([0-9]+)?[.][0-9]+))$

    The value, which might be: An integer for currencies like JPY that are not typically fractional. A decimal fraction for currencies like TND that are subdivided into thousandths. For the required number of decimal places for a currency code, see Currency Codes.

    extend

    object

    The extend additional information.

    property name* string
  • ]

  • payment_channel string

    payment_channel

    card_info

    object

    card_bin string

    The card bin of the card no.

    card_hash string

    The hash of the card no.

    card_mask string

    The mask of the card, it shows the first six and last four digits of the card.

    expiry_month string

    The expire of month.

    expiry_year string

    The expire of year.

    cvc string

    The card verification value.

    funding_source string

    funding source name

    holder_name string

    The name of card holder.

    card_issuing_country string

    card issuing country

    card_brand string

    card brand

    card_cooperation_brand string

    card cooperation brand

    score string

    card score, a larger value indicates a higher priority

    card_type string

    visa、mc、amex、jcb、Discover : scheme; mada_card:mada_card ..

    card_md5 string

    card number md5

    card_pwd string

    The card verification value.

    selected_brand string

    the selected brand for co-brand.

    card_contract_id string

    card contract id, used for card contract payment, if store_recurring_payment_method is true, this field will returned by payments rsp.

    metadata

    object

    The addition data

    property name* string
    paid_amount string

    User real paid amount

    status_detail

    object

    The error struct contains name and message

    name string

    Value must match regular expression [A-Z0-9_]+

    Name of the error.

    message string

    A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the [google.rpc.Status.details][google.rpc.Status.details] field, or localized by the client.

    details

    object[]

    A list of messages that carry the error details. There is a common set of message types for APIs to use.

  • Array [

  • @type string

    The type of the serialized message.

  • ]

  • links

    object[]

    Links is for help

  • Array [

  • description string

    Describes what the link offers.

    url uri

    The URL of the link.

  • ]

  • order_refund_state

    object

    Refund state of the payment order

    refund_supported boolean

    Whether the order can be refunded by API request.

    order_refund_detail

    object

    balance_enough boolean

    Whether the order`s balance enough

    refundable_balance

    object

    currency_code string

    The three-character ISO-4217 currency code that identifies the currency. see: https://en.wikipedia.org/wiki/ISO_4217#Active_codes

    value string

    Value must match regular expression ^((-?[0-9]+)|(-?([0-9]+)?[.][0-9]+))$

    The value, which might be: An integer for currencies like JPY that are not typically fractional. A decimal fraction for currencies like TND that are subdivided into thousandths. For the required number of decimal places for a currency code, see Currency Codes.

    reference_id string

    reference id

    sub_order_refund_details

    object[]

    Sub order refund detail

  • Array [

  • balance_enough boolean

    Whether the order`s balance enough

    refundable_balance

    object

    currency_code string

    The three-character ISO-4217 currency code that identifies the currency. see: https://en.wikipedia.org/wiki/ISO_4217#Active_codes

    value string

    Value must match regular expression ^((-?[0-9]+)|(-?([0-9]+)?[.][0-9]+))$

    The value, which might be: An integer for currencies like JPY that are not typically fractional. A decimal fraction for currencies like TND that are subdivided into thousandths. For the required number of decimal places for a currency code, see Currency Codes.

    reference_id string

    reference id

  • ]

  • channel_name string

    The channel name.

    internal_merchant_addition_data

    object

    内部商户特有字段

    channel_name string

    The channel name.

    merchant_contract_mode enum

    [MODE_UNKNOWN, NEED_CONTRACT, NO_CONTRACT, MIX_CONTRACT]

    channel_contract_mode enum

    [MODE_UNKNOWN, NEED_CONTRACT, NO_CONTRACT]

    channel_account_id string
    channel_real_channels string[]
    channel_order_id string
    payer_ip string

    payer_address

    object

    Address of payer or payee

    country string

    country (eg. CN) -- use region_code instead

    state_or_province string

    <= 100 characters

    ISO 3166-2 define

    city string

    city

    county string

    county

    region_code string

    region code

    street string

    street name

    house_number_or_name string

    house info

    postal_code string

    <= 100 characters

    address postal code

    internal_transaction_trace_infos

    object[]

  • Array [

  • trace_id string
    channel_name string
    reference string
    ouid string
    merchant_ouid string
    channel_midas_ouid string
    merchant_midas_ouid string
    multi_ou_version string
  • ]

  • channel_addition_datas

    object[]

    外部渠道附加信息。

  • Array [

  • channel_name string

    The channel name.

    channel_contract_mode enum

    [MODE_UNKNOWN, NEED_CONTRACT, NO_CONTRACT]

    channel_account_id string
    channel_real_channels string[]
    channel_order_id string
  • ]

Loading...